#ifndef SPECIAL_H
#define SPECIAL_H

#include <gtk/gtk.h>

#include <defaults.h>

extern GtkWidget *specialTab;
extern GtkWidget *bannerFrame;
extern GtkWidget *bannerFrameStartCombo;
extern GtkWidget *bannerFrameStopCombo;
extern GtkWidget *jobNameFrame;
extern GtkWidget *jobNameField;
extern GtkWidget *specialOptFrame;
extern GtkWidget *specialRawCheck;
extern GtkWidget *extraOptFrame;
extern GtkWidget *extraOptField;
extern GtkWidget *passFrame;
extern GtkWidget *loginEntrySpecial;
extern GtkWidget *passEntrySpecial;
extern GList *bannerList;

extern int bannerAnz;
extern unsigned char Banners[MAX_BANNER][MAXLINE+1];

void specialTabSetDefaults(void);
void BannerFrame(GtkWidget *container);
gboolean loginEntrySpecialNew(GtkWidget *widget, GdkEventFocus *event, gpointer user_data);
gboolean passEntrySpecialNew(GtkEditable *editable, gpointer data);
void PassFrame(GtkWidget *container);
void JobNameChanged(GtkWidget *widget, gpointer data);
void JobNameFrame(GtkWidget *container);
void specialCheckChanged(GtkWidget *widget, gpointer data);
void SpecialOptFrame(GtkWidget *container);
void extraOptChanged(GtkWidget *widget, gpointer data);
void ExtraOptFrame(GtkWidget *container);
void SpecialTab(void);

#endif /* SPECIAL_H */
